<?php
/*******************************************************
 **                  IntraMessenger - server          **
 **                                                   **
 **  Copyright:      (C) 2006 - 2012 THeUDS           **
 **  Web:            http://www.theuds.com            **
 **                  http://www.intramessenger.net    **
 **  Licence :       GPL (GNU Public License)         **
 **  http://opensource.org/licenses/gpl-license.php   **
 *******************************************************/

/*******************************************************
 **       This file is part of IntraMessenger-server  **
 **                                                   **
 **  IntraMessenger is a free software.               **
 **  IntraMessenger is distributed in the hope that   **
 **  it will be useful, but WITHOUT ANY WARRANTY.     **
 *******************************************************/
#
# [EN]
# Thanks for posts your update or new translation on the official forum :
# http://www.intramessenger.com/forum/viewforum.php?f=10&
# and post it on the forum or send it by email : im-translate@theuds.com
#
# [FR]
# Merci de poster vos corrections ou nouvelles traductions sur le forum officiel :
# http://www.intramessenger.com/forum/viewforum.php?f=11&
# et la poster sur le forum ou l'envoyer par email : im-translate@theuds.com
#
# [IT]
# Grazie di 'postare' le vostre correzioni o nuove traduzioni sul forum ufficiale :
# http://www.intramessenger.com/forum/viewforum.php?f=11&
# o tramite email: im-translate@theuds.com
#
$charset = 'iso-8859-1';
$l_lang_name = "Italian";
//$left_font_family = 'verdana, arial, helvetica, geneva, sans-serif';
//$right_font_family = 'arial, helvetica, geneva, sans-serif';
# commun
$l_legende = "Legenda";
$l_order_by = "Ordinato per :";
$l_date_format_display = "d/m/Y";
$l_time_format_display = "H:i:s";
$l_time_short_format_display = "H:i";
$l_admin_bt_delete = "Annullare";
$l_admin_bt_erase = "Cancellare";
$l_admin_bt_update = "Modificare";
$l_admin_bt_add = "Aggiungere";
$l_admin_bt_create = "Creare";
$l_admin_bt_allow = "Autorizzare";
$l_admin_bt_invalidate = "Disattivare";
$l_admin_bt_search = "Cercare";
$l_admin_bt_empty = "Svuotare";
$l_language = "Lingua";
$l_country = "Paese";
$l_time_zone = "Fuso orario";
$l_server = "Server";
$l_clic_for_message = "Clickare qu per inviagli un messaggio come amministratore";
$l_clic_on_user = "Clic qu per vedere la scheda dettagliata del utente";
$l_man = "Uomo";
$l_woman = "Donna";
$l_gender = "Genere";
$l_user_informations = "Informazioni utenti";
$l_email = "Email";
$l_phone = "Telefono";
$l_display_col = "Display colonne";
$l_display = "Display";
$l_hide = "Hide";
$l_configure = "Configurare";
$l_captcha = "Copiare questo codice di sicurezza";
$l_rows_per_page = "Righe per pagina";
$l_KB = "Ko"; // Kilo Bytes
$l_relation_option = "Relationship with option : ";
$l_days = "giorni";
$l_day_0 = "Luned";
$l_day_1 = "Marted";
$l_day_2 = "Mercoled";
$l_day_3 = "Gioved";
$l_day_4 = "Venerd";
$l_day_5 = "Sabato";
$l_day_6 = "Domenica";

# Languages
$l_lng['FR'] = "francese";
$l_lng['GB'] = "inglese"; // EN
$l_lng['UK'] = "inglese"; // EN
$l_lng['DE'] = "tedesco"; // GE
$l_lng['BR'] = "portoghese brasiliano";
$l_lng['PT'] = "portoghese";
$l_lng['ES'] = "spagnolo";
$l_lng['IT'] = "italiano"; // IT
$l_lng['FI'] = "finlandese";
$l_lng['RO'] = "rumeno";
$l_lng['TR'] = "turco";
$l_lng['RS'] = "serbian";
$l_lng['RU'] = "russian";
$l_lng['NL'] = "Dutch";
//$l_lng[''] = "";

# level
$c_nb_level = 5;
$c_level[0] = "Amministratore";
$c_level[1] = "Direttore";
$c_level[2] = "Capo servizio";
$c_level[3] = "Impiegato";
$c_level[4] = "Invitato";
// PDG, Direttore, Direttore di filiale, Aministratore, Supervisore, Capo centro, Capo servizio, Capo progetto, Capo settore, Capo, Impiegato, Invitato.
	  
#start
$l_start_cannot_authenticate = "Autenticazione impossibile";
$l_start_unknow_user = "Nome d&#146;utente sconosciuto";
$l_start_wait_valid = "Account sotto chiave(in attensa), pazientare che l`amministratore lo sblocchi.";
$l_start_contact_admin_check = "Contattare il vostro amministratore per avere conferma del vostro cambio di configurazione.";
$l_start_password = "Password non corretta.";
$l_start_max_users = "Startup impossibile : impossibile aggiungere nuovi utenti : raggiunto il numero max utenti.";
$l_start_no_find_iduser = "Identificatore del utente non trovato.";
$l_start_short_username = "Autenticazione impossibile : utente non indicato.";
$l_start_username_forbid = "Autenticatione rifiutata : nome utente (nickname) riservato (proibito).";
$l_start_username_forbid_by_admin = "Autenticazione rifiutata : nome utente (nickname) proibito dal amministratore.";
$l_start_version_missing = "Autenticazione refiutata : versione troppo vecchia, aggiornare il vostro programma.";
$l_start_waiting_valid = "Utenti in attesa di validazione dal amministratore...";

# menu
$l_menu_list = "Lista";
$l_menu_index = "Indice";
$l_menu_dash_board = "Cruscotto";
$l_menu_currently = "In corso";
$l_menu_list_sessions = "Sessioni";
$l_menu_conference = "Conferenze";
$l_menu_list_users = "Utenti";
$l_menu_list_users_ip = "Stesso indirizzo IP";
$l_menu_list_users_double = "Stesso PC";
$l_menu_users_by_country = "Utenti per nazionalit";
$l_menu_list_contact = "Contatti utenti";
$l_menu_list_conference_list = "Lista delle conferenze";
$l_menu_list_group = "Gruppi";
$l_menu_list_group_list = "Lista dei gruppi";
$l_menu_group_add_member = "Aggiungere un membro";
$l_menu_ban = "controllo Banner";
$l_menu_ban_user = "Utenti";
$l_menu_ban_ip = "Indirizzi IP";
$l_menu_ban_pc = "Computers";
$l_menu_options = "Opzioni";
$l_menu_avatars = "Avatars";
$l_menu_messagerie = "Messaggeria";
$l_menu_statistics = "Statistiche";
$l_menu_log = "Log del server";
$l_menu_backup = "Backup salvataggio";
$l_menu_donate = "Donate";
$l_menu_donate_info = "All donate are welcome";
$l_menu_need_change_admin_dir = "Attenzione,  imperativo rinominare la cartella <B>/admin/</B> con altro nome (perch gli utenti possano connettersi) !";
$l_menu_need_delete_install_dir = "Attenzione,  raccomandato eliminare la cartella <B>/install/</B> (serve solo per aggiornare)";
$l_menu_maintenance_mode_on = "Attenzione, il modo manutenzione  attivato, gli utenti non possono comunicare n connettersi).";
$l_menu_need_htaccess = "Attenzione,  vivamente raccomandato di aggiungere una protezione htaccess nella cartella del amministratore !";
$l_menu_pass_root_empty = "Il file di configurazione fa riferimento al utente root ma senza password, ci corrisponde al default MySQL predefinito. Il server MySQL  cos aperto a intrusioni, e si dovrebbe riparare a questa falla nella sicurezza.";
$l_menu_need_reg = "Si raccomanda di aggiungere il file im_setup.reg";
$l_menu_no_javascript = "JavaScript non attivato, click qu per display del menu correttamente";
$l_menu_no_javascript_info = "JavaScript non attivato, impossibile il display del menu in primo piano...";
$l_menu_customize = "Customize";
$l_menu_customize_info = "Request an IntraMessenger client customized version";
$l_menu_bookmarks = "Bookmarks";
$l_menu_list_roles_list = "Ruoli list";
$l_menu_messagerie_instant = "Diretto";
$l_menu_messagerie_emails = "Con emails";

#
$l_pg_result = "Risultati";
$l_pg_show_result = "Mostra dei risultati";
$l_pg_prev_page = "Pagina precedente";
$l_pg_next_page = "Pagina seguente";
$l_pg_first = "Precedente";
$l_pg_first_page = "Prima pagina";
$l_pg_last = "Ultima";
$l_pg_last_page = "Ultima pagina";
$l_pg_all = "Tutte le pagine";
$l_pg_to = "a";
$l_pg_of = "in";

# index
$l_index_welcome = "Benvenuto nella interfaccia amministratore (<acronym title='Admin Control Panel'>ACP</acronym>)";
$l_index_can_cfg = "Si possono configurare le opzioni nel file";
$l_index_can_lng = "come la lingua";
$l_index_actualy = "attualmente";
$l_index_chg = "cambiando";
$l_index_find_doc = "La documentazione per installare  in";
$l_index_chk_opt = "Si pu verificare opzioni e configurazione in";
$l_index_after_upd_chk = "Dopo ogni aggiornamento, si prega di verificare la configurazione tramite il menu ";
$l_index_waiting_valid = "In attesa di accettazione"; // Utenti in attesa di accettazione da parte dell'amministratore
$l_index_ready_users = "Utenti pronti";
$l_index_today_creat_users = "Utenti creati oggi";
$l_index_today_sessions = "Sessioni simultanee di oggi";
$l_index_last_valid_username = "Last registered user:";
$l_index_pending_avatars = "Avatars in attesa di validazione";
$l_index_records = "Records";
$l_index_full_list = "Lista completa";
$l_index_users_per_day = "Utenti al giorno";
$l_index_created_users_per_day = "Utenti creati al giorno";
$l_index_messages_per_day = "Messaggi al giorno";
$l_index_leave_users = "Utenti che hanno lasciato il server";
$l_index_soon_dashboard_here = "Dopo il completamento della installazione, e disattivazione del modo manutenzione, il cruscotto sar qu mostrato.";
$l_old_files_to_delete = "Old files still exist and should be deleted";
$l_index_shoutbox_pending = "Shoutbox message(s) waiting approbation";
$l_index_shoutbox_nb_msg = "Messages number"; //  (published)
$l_index_shoutbox_nb_msg_wait = "Posts awaiting approval";
$l_index_shoutbox_nb_msg_rejects = "Rejected posts";
$l_index_shoutbox_nb_user_lock_rejects = "Locked users (unapproved)";
$l_index_shoutbox_nb_user_lock_votes = "Locked users (votes)";
$l_index_shoutbox_nb_votes = "Votes number";
$l_index_shoutbox_best_author = "Best author";
$l_index_users_pending_group = "Pending group join users";
$l_index_trend_7_days = "Last seven days trend (compared to 60 last days)";
$l_index_users_recent_activity = "Users with recent activity <SMALL>(30 days)</SMALL>";
$l_index_checking_version = "Checking for updates";
$l_index_server_up_to_date = "Server version is up to date";
$l_index_new_server_version_available = "New (server) version available !";
$l_index_cannot_check_version = "Cannot check (on internet) for upgrade (server)...";
$l_index_dashboard_empty = "After several days of use, the dashboard will display more information...";
$l_index_bookmarks_pending = "Bookmark(s) waiting approbation";
$l_index_most_connected = "Most connected";
$l_index_share_file_pending = "File(s) waiting Approval";
$l_index_share_file_trash = "File(s) in trash";
$l_index_share_file_alert = "Reported files (pending process)";
$l_index_share_file_download = "Downloads";

# admin options screen
$l_admin_options_title = "Lista delle opzioni";
$l_admin_options_title_2 = "Suggerimento";
$l_admin_options_update = "Modificare le opzioni";
$l_admin_options_bt_update = "Salvare le opzioni";
$l_admin_options_title_table_2 = "Splashscreen opzionale allo startup (sopratutto per internet)";
$l_admin_options_col_option = "Opzione";
$l_admin_options_col_value = "Valore";
$l_admin_options_col_comment = "Commento";
$l_admin_options_col_description = "Descrizione";
$l_admin_options_general_options = "Opzioni generali";
$l_admin_options_general_options_short = "Generali";
$l_admin_options_maintenance_mode = "Maintenance mode : users cannot communicate (and offline users cannot connect)";
$l_admin_options_is_usernamePC = "Pseudo forzato come nome di sessione Windows. Se opzione non attivata : allora utente potr scegliere il pseudo.";
$l_admin_options_auto_add_user = "I nuovi utenti sono aggiunti automaticamente.";
$l_admin_options_quick_register = "Quick registration required before automatically adding new users.";
$l_admin_options_need_admin_after_add = "Gli utenti aggiunti automaticamente devono essere validati dal amministratore.";
$l_admin_options_need_admin_if_chang_check = "Gli utenti che cambiano PC devono essere validati dall&#146;amministratore.";
$l_admin_options_log_session_open = "Scrittura nel giornale(log) le aperture di sessioni.";
$l_admin_options_password_user = "Imporre uso di password ad ogni utente";
$l_admin_options_password_for_private_server = "Se vuoto, il server  pubblico, altrimenti,  la password per autenticazione dei client.";
$l_admin_options_nb_max_user = "Numero max di utenti registrati (0 : illimitato)";
$l_admin_options_nb_max_session = "Numero max di sessioni (utenti connessi simultaneamente) (0 : illimitato)";
$l_admin_options_nb_max_contact_by_user = "Numero max di contatti per utente (0 : illimit)";
$l_admin_options_del_user_after_x_days_not_use = "Accounts eliminati(dal amministratore) per non utilizzo maggiore di x giorni";
$l_admin_options_force_away = "Forzare lo stato 'assente' quando lo screensaver attivo";
$l_admin_options_col_name_hide = "Nascondere la colonna nome/incarico";
$l_admin_options_col_name_default_active = "Se non nascosto, mostrare per default la colonna nome/incarico";
$l_admin_options_allow_invisible = "Autorizza ad essere invisibile (nasconde quando online) per certi contatti";
$l_admin_options_can_change_contact_nickname = "Autorizzare gli utenti a renominare i loro contatti";
$l_admin_options_lock_contact_list = "Impedire il accesso (agli utenti) alla gestione dei contatti e al allarme (per scuole)";
$l_admin_options_lock_options = "Impedire il accesso (agli utenti) alle opzioni e al allarme (per scuole)";
$l_admin_options_lock_profile = "Lock access to manage their profile (per scuole)";
$l_admin_options_crypt_msg = "Cifratura (di alto livello) dei messaggi scambiati";
$l_admin_options_log_messages = "Salvare i messaggi scambiati(se non cifrati) : per scuole.";
$l_admin_options_censor_messages = "Censura messaggi (se non cifrati) : <I>/common/config/censure.txt</I>";
$l_admin_options_site_url = "URL (indirizzo) del sito web.";
$l_admin_options_site_title = "Titolo del sito.";
$l_admin_options_missing_option = "Opzione(i) mancante(i) nel";
$l_admin_options_conf_file = "Il file di configurazione";
$l_admin_options_flag_country = "Mostrare la bandiera del paese relativa al indirizzo IP(solo internet).";
$l_admin_options_legende_empty = "Opzione non attivata"; // (vuoto)
$l_admin_options_legende_not_empty = "Opzione attivata"; // (non vuoto)
$l_admin_options_legende_up2u = "Vostra scelta";
$l_admin_options_special_options = "Opzioni speciali";
$l_admin_options_special_modes = "Special modes";
$l_admin_options_normal_mode = "Everyone sees only his (validated) contacts.";
$l_admin_options_opencommunity = "Tutti vedono tutti, senza bisogno di aggiungersi alla lista dei contatti (es: scuole, cyber caf...).";
$l_admin_options_groupcommunity = "Tutti possono vedere (unicamente) le persone del proprio gruppo(i).";
$l_admin_options_opengroupcommunity = "Everybody can see everybody, display by groups.";
$l_admin_options_statistics = "Memorizzare e mostrare (nel interfaccia amministratore) le statistiche.";
$l_admin_options_info_1 = "Se entrambi vuoti, non mostrare lo splashscreen allo startup dei clienti";
$l_admin_options_info_2 = "Dovreste attivare (almeno) una di queste due opzioni";
$l_admin_options_info_2b = "Dovreste attivare una di queste due opzioni";
$l_admin_options_info_3 = "Impossibile archiviare e cifrare i messaggi (scegliere solo una opzione) !";
$l_admin_options_info_4 = "Impossibile usare simultaneamente i 2 modi : gruppo e comunit aperta !";
$l_admin_options_info_5 = "Attivazione inutile per questa opzione";
$l_admin_options_info_6 = "Gestione della lista dei pseudonimi proibiti (logins) nel file";
$l_admin_options_info_7 = "La vostra configurazione (opzioni) vi permette di inscrivervi a";
$l_admin_options_info_8 = "La vostra configurazione NON vi permette di iscrivervi a";
$l_admin_options_info_9 = "attivato : verificare la configurazione delle opzioni :";
$l_admin_options_info_book = "annuario dei server pubblici per internet";
$l_admin_options_info_10 = "Autenticazione esterna";
$l_admin_options_info_11 = "una sola per volta ! Vogliate correggere la configurazione !";
$l_admin_options_info_12 = "Attivare una sola di queste due opzioni";
$l_admin_options_info_13 = "Le opzioni in rosso sono modificabili solo manualmente nel file di configurazione.";
$l_admin_options_check_new_msg_every = "Intervallo per verifica del arrivo di primo nuovi messaggi (da 10 a 60 secondi).";
$l_admin_options_full_check = "Verifica i contatti in attesa solo ogni 3 minuti.";
$l_admin_options_minimum_length_of_username = "Lunghezza minima degli pseudonimi (nickname)";
$l_admin_options_minimum_length_of_password = "Lunghezza minima delle password degli utenti";
$l_admin_options_max_pwd_error_lock = "Massimo numero di errori consecutivi su password, prima che un utente venga bloccato";
$l_admin_options_user_history_messages = "Autorizza gli utenti ad archiviare i messaggi scambiati.";
$l_admin_option_allow_conference = "Autorizza gli utenti a creare conferenze multiutente.";
$l_admin_option_send_offline = "Autorizza gli utenti ad inviare messaggi a contatti non connessi.";
$l_admin_options_allow_smiley = "Autorizza il invio di smileys (emoticon come immagini).";
$l_admin_options_allow_change_email_phone = "Autorizza il cambiamento del suo numero telefonico ed indirizzo email.";
$l_admin_options_allow_change_function_name = "Autorizza il cambiamento del suo nome/incarico (mostrato dopo login/pseudonimo).";
$l_admin_options_allow_change_avatar = "Autorizza il cambiamento del suo avatar (foto).";
$l_admin_options_allow_use_proxy = "Autorizza il uso di server proxy.";
$l_admin_extern_url_to_register = "URL (indirizzo) per registrarsi (forum, CMS...) tramite autenticazione esterna";
$l_admin_extern_url_password_forget = "URL (indirizzo) per recuperare la password dimenticata(tramite autenticazione esterna)";
$l_admin_extern_url_change_password = "URL (indirizzo) per cambiare password (tramite autenticazione esterna)";
$l_admin_options_autentification = "Autenticazione";
$l_admin_options_security_options = "Opzioni di sicurezza";
$l_admin_options_security = "Sicurezza";
$l_admin_options_admin_options = "Opzioni amministratore";
$l_admin_options_force_update_by_server = "Forzare gli aggiornamenti dei clients dal server.";
$l_admin_options_force_update_by_internet = "Forzare gli aggiornamenti dei clients dal sito internet ufficiale.";
$l_admin_options_user_restrictions_options = "Opzioni di restrizione per utenti";
$l_admin_options_user_restrictions_options_short = "Restrizione per utenti";
$l_admin_options_hierachic_management = "Attiva la gestione gerarchica, e mostra la colonna livello (sezione admin)";
$l_admin_authentication_extern = "Autenticazione esterna via ";
$l_admin_options_public_see_options = "Le opzioni sono visibile da tutti";
$l_admin_options_public_see_users = "La lista degli utenti  visibile da tutti";
$l_admin_options_public_upload_avatar = "Tutti possono proporre degli avatars";
$l_admin_options_admin_email = "Email del amministratore";
$l_admin_options_admin_phone = "Telefono amministratore";
$l_admin_options_public_folder = "Cartella pubblica";
$l_admin_options_scroll_text = "Testo (temporaneo)informativo";
$l_admin_options_uppercase_space_nickname = "Allow uppercase and space in nickname.";
$l_admin_options_allow_email_notifier = "Autorizza il uso del avvisatore di email integrato.";
$l_admin_options_force_email_server = "Definire/forzare il indirizzo del server per le email in ingresso (per il avvisatore)";
$l_admin_options_enterprise_server = "Modo Enterprise : ottenere le versioni di software installato e possibilit di stoppare i computers da remoto";
$l_admin_options_allow_rating = "Autorizza gli utenti ad annotare i loro contatti (e rivederli se 'PUBLIC').";
$l_admin_options_proxy_address = "Definire/forzare il indirizzo del server proxy.";
$l_admin_options_proxy_port_number = "Definire/forzare il numero di porta del server proxy.";
$l_admin_options_max_simultaneous_ip_addresses = "Numero massimo di indirizzi IP simultanei (0 : illimitato)";
#$l_admin_options_group_for_admin_messages = "Permette l'uso dei gruppi, solo per inviare messaggi amministratore";
$l_admin_options_group_for_sbx_and_admin_messages = "Allow (admin) manage groups, for ShoutBox and send admin messages";
$l_admin_options_group_for_admin_messages_2 = "da usare solo se _SPECIAL_MODE_GROUP_COMMUNITY  non attivato (vuoto)";
$l_admin_options_cannot_access_to = "ma  impossibile accedere a";
$l_admin_options_auth_if_not_same = "If one of the four is different from IntraMessenger, complete everyone";
$l_admin_options_pass_register_book = "Password to register on";
$l_admin_options_auto_corrected = "option(s) were automatically corrected.";
$l_admin_options_pass_need_digit_and_letter = "Password must contain : letters AND numbers (at least one of each).";
$l_admin_options_pass_need_upper_and_lower = "Password must contain : uppercase and lowercase letters (at least one of each).";
$l_admin_options_pass_need_special_character = "Password must contain : special characters (at least one).";
$l_admin_options_group_for_shoutbox = "Allow (admin) manage groups, only for shoutboxs";
$l_admin_options_shoutbox_title_short = "Shoutbox";
$l_admin_options_shoutbox_title_long = "Shoutbox (logbook or chat)";
$l_admin_options_shoutbox_refresh_delay = "Refresh delay (10 to 180 seconds)";
$l_admin_options_shoutbox_store_days = "Duration (days) for storing messages (before expiration).";
$l_admin_options_shoutbox_store_max = "Maximum number of messages stored (keeping only the most recent).";
$l_admin_options_shoutbox_day_user_quota = "Daily messages quota per user (0: unlimited).";
$l_admin_options_shoutbox_week_user_quota = "Weekly messages quota per user (0: unlimited). Need MySQL 5.";
$l_admin_options_shoutbox_need_approval = "Messages require approval before publication.";
$l_admin_options_shoutbox_approval_queue = "Limit queue approval.";
$l_admin_options_shoutbox_approval_queue_user = "Limit queue approval by user.";
$l_admin_options_shoutbox_lock_user_approval = "Number approval rejects to prevent user from sending other messages (0: unlimited).";
$l_admin_options_shoutbox_can_vote = "Possibility to vote";
$l_admin_options_shoutbox_day_votes_quota = "Daily votes quota per user (0: unlimited).";
$l_admin_options_shoutbox_week_votes_quota = "Weekly votes quota per user (0: unlimited).";
$l_admin_options_shoutbox_remove_msg_votes = "Number of negative votes activating the automatic message deletion (0: unlimited).";
$l_admin_options_shoutbox_lock_user_votes = "Number of votes to prevent user from sending other messages (0: unlimited).";
$l_admin_options_shoutbox_public = "Shoutbox content is public";
$l_admin_options_other_options = "Altre";
$l_admin_options_other_options_options = "Altre opzioni";
$l_admin_options_group_user_can_join = "Users can join public groups (request for officials groups).";
$l_admin_options_may_change_option = "You may change following options";
$l_admin_options_servers_status = "Servers/services list and their respective status";
$l_admin_options_check_version_internet = "Check on internet for new (server) version";
$l_admin_options_show_option_name = "Display options name";
$l_admin_options_new = "New option";
$l_admin_options_check_now = "Check now";
$l_admin_options_book_password = "After save this password, other following options will be automatically updated";
$l_admin_options_time_zones = "Display time zones differences";
$l_admin_options_bookmarks = "Share bookmarks";
$l_admin_options_bookmarks_can_vote = "Allowed to vote for bookmarks";
$l_admin_options_bookmarks_public = "Bookmarks public";
$l_admin_options_bookmarks_need_approval = "Bookmarks require approval before publication";
$l_admin_options_unread_message_validity = "Unread message validity (days) (0: unlimited)";
$l_admin_options_lock_duration = "Account lockout duration (minutes, 0: unlimited)";
$l_admin_options_profile_first_register = "Fill out profile information on first login";
$l_admin_options_roles_to_override_permissions = "Roles to override permissions";
$l_admin_options_wait_startup_if_server_hs = "If server unavailable on startup, client still wait (without warn)";
$l_admin_options_restore_options = "Restore previous configuration";
$l_admin_options_doc_title = "Documentation";
$l_admin_options_doc_list = "Server list of options";
$l_admin_options_doc_view = "Visual impact on the client"; 
$l_admin_options_allow_skin = "Allow users to change skin";
$l_admin_options_allow_close_im = "Allow users to close";
$l_admin_options_allow_sound_usage = "Allow users to use sounds";
$l_admin_options_allow_reduce_main_screen = "Allow users to reduce main screen";
$l_admin_options_allow_reduce_message_screen = "Allow users to reduce messages screen";
$l_admin_options_send_admin_alert_by_email = "Send by email admin alert messages";
$l_admin_options_password_validity = "Password validity (days) before expiration (0: unlimited)";
$l_admin_options_allow_postit = "Allow users to use Post-It";
$l_admin_options_enable_options = "Main option enable secondary options";
$l_admin_options_status_reasons_list = "Status reasons list";
$l_admin_options_status_reason = "Reason for status:";
$l_admin_options_status_reasons_separated = "up to 10 reasons separated by semicolons";
$l_admin_options_share_files = "Share files";
$l_admin_options_share_files_title = "Share and exchange files";
$l_admin_options_share_files_allow = "Allow users to share (publish) files";
$l_admin_options_share_files_exchange = "Allow users to exchange files";
$l_admin_options_share_files_options_to_active = "To active file sharing, must setup FTP options";
$l_admin_options_share_files_ftp_address = "FTP server address ( example: <I>ftp.yourserver</I> )";
$l_admin_options_share_files_ftp_login = "FTP server login";
$l_admin_options_share_files_ftp_password = "<b>Only if FTP on another server</b>: (clear) FTP password";
$l_admin_options_share_files_ftp_password_crypt = "Password (<U>encrypted</U> by IM_Skin) for FTP server";
$l_admin_options_share_files_ftp_port_number = "FTP server port number";
$l_admin_options_share_files_max_file_size = "Max file size in KB {*} (0: unlimited)";
$l_admin_options_share_files_max_nb_files_total = "Max stored files number (0: unlimited)";
$l_admin_options_share_files_max_nb_files_user = "Max stored files number per user (0: unlimited)";
$l_admin_options_share_files_max_space_size_total = "Max files storage space (MB) {*} (0: unlimited)";
$l_admin_options_share_files_max_space_size_user = "Max files storage space (MB) {*} per user (0: unlimited)";
$l_admin_options_share_files_need_approval = "Shared files require admin approval";
$l_admin_options_share_files_exchange_need_approval = "Users files exchange require admin approval";
$l_admin_options_share_files_approval_queue =  "Limit queue approval (10 to 99)";
$l_admin_options_share_files_quota_files_user_week = "Weekly files quota per user (0: unlimited)";
$l_admin_options_share_files_trash = "On deleting, put shared files to trash (not deleted)";
$l_admin_options_share_files_exchange_trash = "On deleting, put exchanged files files to trash (not deleted)";
$l_admin_options_share_files_info = "{*} 1 MB = 1024 KB  &nbsp; - &nbsp;  1 GB = 1024 MB  &nbsp;  (one floppy = 1,44 MB  -   one CDR = 700 MB)";
$l_admin_options_share_files_read_only = "Files are read only";
$l_admin_options_share_files_can_vote = "Allowed to vote";
$l_admin_options_share_files_folder = "<b>Only if FTP on this web server</b>: relative path to files storage folder (eg: '../share/files/')"; // for admin access
$l_admin_options_share_files_compress = "Compress files before uploading : remove file display from <acronym title='Admin Control Panel'>ACP</acronym>";
$l_admin_options_share_files_protect = "Protect (encrypt) files: remove file display from <acronym title='Admin Control Panel'>ACP</acronym>";
$l_admin_options_share_files_download_quota_day = "Daily download number publics files quota (0: unlimited)";
$l_admin_options_share_files_download_quota_week = "Weekly download number publics files quota (0: unlimited)";
$l_admin_options_share_files_download_quota_month = "Monthly download number publics files quota (0: unlimited)";
$l_admin_options_share_files_download_quota_mb_day = "Daily download publics files size (MB) quota (0: unlimited)";
$l_admin_options_share_files_download_quota_mb_week = "Weekly download publics files size (MB) quota (0: unlimited)";
$l_admin_options_share_files_download_quota_mb_month = "Monthly download publics files size (MB) quota (0: unlimited)";

#admin users list screen
$l_admin_users_title = "Lista degli utenti";
$l_admin_users_col_user = "Utente";
$l_admin_users_col_function = "Nome/incarico";
$l_admin_users_col_level = "Livello";
$l_admin_users_col_etat = "Stato";
$l_admin_users_col_etat_wait = "'Stato' in attesa";
$l_admin_users_col_creat = "Creazione";
$l_admin_users_col_last = "Ultimo";
$l_admin_users_col_action = "Azione";
$l_admin_users_col_password = "Password";
$l_admin_users_col_activity = "Activity";
$l_admin_users_col_version = "Versione";
$l_admin_users_col_pc = "Postazione";
$l_admin_users_col_mac_adr = "Indirizzo MAC";
$l_admin_users_col_screen = "Risoluzione";
$l_admin_users_col_emailclient = "Client di messaggeria";
$l_admin_users_col_browser = "Browser Web";
$l_admin_users_col_ooo = "OOo";
$l_admin_users_info_wait_valid = "In attesa di validazione";
$l_admin_users_info_change_ok = "Cambio di configurazione validata";
$l_admin_users_info_locked = "Locked";
$l_admin_users_info_valid = "Validato";
$l_admin_users_info_leave = "Server da lasciare";
$l_admin_users_order_login = "login";
$l_admin_users_order_function = "nome/incarico";
$l_admin_users_order_state = "stato";
$l_admin_users_order_creat = "data creazione";
$l_admin_users_order_last = "ultima data";
$l_admin_users_order_last_activity = "last activity";
$l_admin_users_order_level = "livello";
$l_admin_users_order_role = "role";
$l_admin_users_add_new = "Aggiunta nuovo utente";
$l_admin_users_cannot_add = "Impossibile : numero max di utenti raggiunto.";
$l_admin_users_to_add_more_1 = "Per aggiungerne ancora, modificare la opzione : <I>_MAX_NB_USER</I>.";
$l_admin_users_to_add_more_2 = "Per aggiungerne manualmente, disattivare la opzione.";
$l_admin_users_no_add_1 = "Aggiunta inutile";
$l_admin_users_no_add_2 = "la opzione (<I>_ALLOW_AUTO_ADD_NEW_USER_ON_SERVER</I>) per l'aggiunta automatica<BR/> di nuovi utenti  gi attivata.";
$l_admin_users_out_of_date = "Accounts scaduti";
$l_admin_users_no_out_of_date = "Nessun account scaduto al momento";
$l_admin_users_for_out_of_date_1 = "Gli account sono scaduti quando non utilizzati per pi di";
$l_admin_users_for_out_of_date_2 = "giorni (definiti nelle opzioni)";
$l_admin_users_info_level = "Attenzione : ogni utente pu domandare la aggiunta di contatti di livello inferiore o uguale al suo soltanto !";
$l_admin_users_info_nm_function = "Da notare : anche se colonna nome/incarico  nascosta, il nome/incarico resta visibile nella gestione dei contatti"; 
$l_admin_users_searching = "Cercare un utente";
$l_admin_users_no_found = "Nessun utente trovato";
$l_admin_users_send_admin_message = "Inviare un messaggio amministratore";
$l_admin_users_nb_connect = "Connessioni (giorni)";
$l_admin_users_admin = "Amministratore";
$l_admin_users_admin_alert = "Ricevere gli avvisi";
$l_admin_users_not_admin = "Non  amministratore";
$l_admin_users_hide_from_other = "Hidden from others";
$l_admin_users_auto_add_user_for_ext_auth = "Non disattivare questa opzione (essenziale per autenticazione esterna) !";
$l_admin_users_ban_user = "Bannare o sospendere questo nomeutente";
$l_admin_users_ban_ip = "Bannare o sospendere questo indirizzo IP";
$l_admin_users_ban_pc = "Bannare o sospendere questo computer";
$l_admin_users_pc_banned = "Computer bannato o sospeso";
$l_admin_users_user_banned = "Nomeutente bannato o sospeso";
$l_admin_users_ip_banned = "Indirizzo IP bannato o sospeso";
$l_admin_users_pc_title = "Lista dei computers";
$l_admin_users_how_to_ban_pc = "Usare questo pulsante per bannare un computer<BR/>(nella scheda dettagliata)";
$l_admin_users_participation = "Tasso di participazione/presenza";
$l_admin_users_reputation = "Reputazione"; // popolarit 
$l_admin_users_state_on = "On";
$l_admin_users_state_off = "Off";
$l_admin_users_state_sleep = "Dormiente (o in errore)";
$l_admin_users_rating = "Highest score";
$l_admin_users_empty = "Actually no user...";
$l_admin_received = "received";
$l_admin_sent = "sent";

#admin contacts list screen
$l_admin_contact_title = "Lista dei contatti";
$l_admin_contact_col_contact = "Contatti";
$l_admin_contact_col_state = "Stato";
$l_admin_contact_col_action = "Azione";
$l_admin_contact_bt_forbid = "Proibire";
$l_admin_contact_info_wait_valid = "Non validato";
$l_admin_contact_info_ok = "Validato";
$l_admin_contact_info_vip = "Privilegiato";
$l_admin_contact_info_hidden = "Stato in linea mascherato (invisibile)";
$l_admin_contact_info_refused = "Rifiutato definitivamente";
$l_admin_contact_add_contact = "Aggiunta di contatti";
$l_admin_contact_auto_add = "(validati automaticamente)";
$l_admin_contact_no_add_1 = "Aggiunta inutile";
$l_admin_contact_no_add_2 = "la opzione (<I>_LOCK_USER_CONTACT_LIST</I>) di bloccaggio<BR/> della aggiunta di contatti da parte degli utenti non  attivata.";
$l_admin_contact_no_add_3 = "Per aggiungerne manualmente, attivare la opzione.";
$l_admin_contact_cannot_use = "Utilizzo impossibile perch la opzione _SPECIAL_MODE_GROUP_COMMUNITY  attiva.";
$l_admin_contact_average_1 = "Media";
$l_admin_contact_average_2 = "contatti attivi per utente";
$l_admin_contact_total = "totale";
$l_admin_contact_bt_avatar = "Scegliere un avatar";
$l_admin_contacts = "Contatto(i)"; 
$l_admin_contact_empty = "Actually no contact...";

#admin sessions list screen
$l_admin_session_title = "Lista delle sessioni";
$l_admin_session_title_2 = "Sessioni in corso";
$l_admin_session_at = "a";
$l_admin_session_col_state = "Stato";
$l_admin_session_col_user = "Utente";
$l_admin_session_col_function = "Nome/incarico";
$l_admin_session_col_ip = "Indirizzo IP";
$l_admin_session_col_begin = "Inizio";
$l_admin_session_col_last = "Ultimo";
$l_admin_session_col_version = "Versione";
$l_admin_session_info_not_connect = "Non connesso";
$l_admin_session_info_online = "Disponibile"; // Connect
$l_admin_session_info_away = "Assente";
$l_admin_session_info_busy = "Occupato";
$l_admin_session_info_do_not_disturb = "Non disturbare";
$l_admin_session_order_user = "utente";
$l_admin_session_order_state = "stato";
$l_admin_session_no_session = "Nessuna sessione al momento";
$l_admin_session_col_time = "Ora";
$l_admin_session_col_state_reason = "Reason";

#admin messenger screen
$l_admin_mess_title = "Messaggeria amministratore";
$l_admin_mess_title_2 = "Inviare un messaggio informativo (come amministratore)";
$l_admin_mess_title_3 = "Messaggi amministratore in attensa di lettura";
$l_admin_mess_title_4 = "Scegliere una immagine da inviare (png jpg gif)";
$l_admin_mess_message = "Messaggio";
$l_admin_mess_to = "Destinatario(i)";
$l_admin_mess_only = "Unicamente";
$l_admin_mess_all_connected = "Tutti gli utenti connessi";
$l_admin_mess_all = "Tutti gli utenti (anche quelli non connessi)";
$l_admin_mess_group = "Tutti i membri del gruppo";
$l_admin_mess_group_connected = "Tutti i membri connessi del gruppo";
$l_admin_mess_bt_send = "Inviare";
$l_admin_mess_nb_send = "messaggio(i) inviato(i)";
$l_admin_mess_bt_refresh = "Rinnovare";
$l_admin_mess_time = "Orario";
$l_admin_mess_no_wait = "Nessun messaggio in attesa di lettura al momento";
$l_admin_mess_dir = "Immagini della cartella";
$l_admin_mess_select = "Selezionare";
$l_admin_mess_title_5 = "Inviare un ordine";
$l_admin_mess_order = "Ordine";
$l_admin_mess_stop_pc = "Spegnimento computer";
$l_admin_mess_boot_pc = "Riaccensione computer";
$l_admin_mess_boot_im = "Riapertura di IM";
$l_admin_mess_cannot_order = "Utilizzo impossibile perch opzione _ENTERPRISE_SERVER non  attivata";

#admin message email screen
$l_admin_mess_email_title = "Send an information email";

#admin group manage
$l_admin_group_title = "Gruppi di utenti";
$l_admin_group_title_2 = "Gestione dei gruppi di utenti";
$l_admin_group_no_group = "Nessun gruppo al momento";
$l_admin_group_no_user_group = "Nessun membro del gruppo al momento";
$l_admin_group_col_group = "Gruppo";
$l_admin_group_creat_group = "Crezione nuovo gruppo";
$l_admin_group_rename_group = "Rinominare gruppo";
$l_admin_group_title_add_to_group = "Aggiunta di membri ai gruppi";
$l_admin_group_new_name = "Nuovo nome";
$l_admin_group_add_to_group = "Aggiungere al gruppo";
$l_admin_group_order_group = "gruppo";
$l_admin_group_cannot_use_1 = "Uso impossibile perch la opzione _SPECIAL_MODE_GROUP_COMMUNITY non  attivata (attenzione, essa disattiva la gestione dei contatti).";
$l_admin_group_cannot_use_2 = "Gli utenti possono nondimeno definire dei gruppi nella loro lista di contatti.";
$l_admin_group_members = "Membri";
$l_admin_group_public = "Public";
$l_admin_group_official = "Official";
$l_admin_group_private = "Private";
$l_admin_group_public_legende = "users can directly join group.";
$l_admin_group_official_legende = "users can request to join group (validated by admin).";
$l_admin_group_private_legende = "users cannot see group and cannot join.";

#admin statistics screen
$l_admin_stats_title = "Statistiche";
$l_admin_stats_col_date = "Data";
$l_admin_stats_col_nb_msg = "Messaggi";
$l_admin_stats_col_nb_creat = "Utenti creati";
$l_admin_stats_col_nb_session = "Sessioni simultanee";
$l_admin_stats_col_nb_users = "Utenti";
$l_admin_stats_no_stats = "Nessuna statistica al momento";
$l_admin_stats_option_not = "Opzione non attivata";
$l_admin_stats_rate = "di valore massimo";
$l_admin_stats_by_day = "Vista giornaliera";
$l_admin_stats_by_week = "Vista settimanale";
$l_admin_stats_by_month = "Vista mensile";
$l_admin_stats_by_year = "Vista annuale";
$l_admin_stats_average = "media";
$l_admin_stats_day_of_week = "By day of week";
$l_admin_stats_latest = "Latest";
$l_admin_stats_click_drag_to_zoom = "Click and drag in the plot area to zoom in";
$l_admin_stats_click_to_show_hide = "Click on legend to display/hide";
$l_admin_stats_empty = "Need to use more days to get statistics...";

#admin conference screen
$l_admin_conference_title = "Conferenze";
$l_admin_conference_cannot_use_1 = "Uso impossibile perch ozione _ALLOW_CONFERENCE non  attivata.";
$l_admin_conference_col_creator = "Iniziatore";
$l_admin_conference_col_partaker = "Participanti";
$l_admin_conference_no_conference = "Nessuna conferenza al momento";

#admin change avatar screen
$l_admin_avatar_title = "Cambio avatar/foto";
$l_admin_avatar_title_2 = "Selezionare un nuovo avatar (o foto)";
$l_admin_avatar_title_3 = "Aggiungere un nuovo avatar (o foto) alla lista";
$l_admin_avatar_title_4 = "Selezionare avatar (o foto) da eliminare";
$l_admin_avatar_title_5 = "Lista di avatars (o foto) in attesa di accettazione";
$l_admin_avatar_title_6 = "Unacceptable avatar list (e.g. dimensions)";
$l_admin_avatar_bt_download = "Scaricare altri avatars";
$l_admin_avatar_info_1 = "Mettere le foto (o gli avatars) nella cartella";
$l_admin_avatar_images_filter = "Filter files such as images only";

#admin htaccess create
$l_admin_htaccess_1 = "I files <I>.htaccess</I> e <I>.htpasswd</I> permettono di proteggere la vostra cartella di amministrazione";
$l_admin_htaccess_2 = "(il primo contiene la politica di protezione, il secondo contiene gli utenti e le loro password).";
$l_admin_htaccess_3 = "Usare il pulante qu sotto per creare un utente di default (da modificare imperativamente in seguito)";
$l_admin_htaccess_4 = "Per (tentare di) eliminarli, clickare su";
$l_admin_htaccess_create_files = "Creare i files <I>.htaccess</I> e <I>.htpasswd</I>";
$l_admin_htaccess_warning = "WARNING, delete this two files before update server address/url (or ACP folder).";

#admin log screen
$l_admin_log_title = "Esame del log degli eventi del server";
$l_admin_log_title_admin = "Esame del log degli eventi delle attivit di amministrazione";
$l_admin_log_select = "Selezionare il log degli eventi da consultare";
$l_admin_log_hack = "Hack attempt";
$l_admin_log_error_log = "Log degli Errori";
$l_admin_log_error_log_connection = "Connections error log";
$l_admin_log_type_error = "Error";
$l_admin_log_type_warning = "Warning/forbidden";
$l_admin_log_type_info = "Information";
$l_admin_log_type_monitor = "Monitor";
$l_admin_log_session_open = "Apertura di sessioni";
$l_admin_log_password_errors = "Errori di password";
$l_admin_log_lock_user_password = "Bloccaggio di utenti (errori di password)";
$l_admin_log_check_change = "Cambiamento di postazione";
$l_admin_log_change_nickname = "Utenti che cambiano il nickname o nomeutente";
$l_admin_log_upload_avatar = "Invio di avatars";
$l_admin_log_username_unknown = "Utenti sconosciuti";
$l_admin_log_reject_username = "Rifiuto di utenti : nickname o nomeutente proibiti";
$l_admin_log_reject_ip = "Rifiuto indirizzi IP proibiti";
$l_admin_log_reject_pc = "Rifiuto postazioni proibite";
$l_admin_log_reject_max_same_ip = "Limite max di uso simultaneo dello stesso indirizzo IP";
$l_admin_log_reject_max_same_pc = "Max simultaneous of a single PC usage";
$l_admin_log_reject_max_users = "Reject : maximum number of registered users reached";
$l_admin_log_server_full = "Rifiuto per server pieno";
$l_admin_log_no_ip_address = "Indirizzo IP mancante";
$l_admin_log_version_to_old = "Versione troppo vecchia";
$l_admin_log_private_password = "Errore di password per server privato";
$l_admin_log_user_create = "Created users";
$l_admin_log_user_allow = "Approvazione di utenti in attesa";
$l_admin_log_user_disallow = "Disattivazione di utenti";
$l_admin_log_user_delete = "Soppressione di utenti";
$l_admin_log_user_avatar_valid = "Approvazione degli avatars proposti";
$l_admin_log_send_order = "Invio di ordini";
$l_admin_log_send_message = "Invio di messaggi admin";
$l_admin_log_ban_ip_address = "Ban o sospensione di indirizzi IP";
$l_admin_log_unban_ip_address = "Unban o riattivare di indirizzi IP";
$l_admin_log_ban_username = "Ban o sospensione di nomiutente";
$l_admin_log_unban_username = "Unban o riattivazione di nomiutente";
$l_admin_log_ban_computer = "Ban o sospensione di postazioniP C";
$l_admin_log_unban_computer = "Unban o riattivazione di postazioni PC";
$l_admin_log_user_admin_alert_get = "Attivazione della ricezione degli avvisi di allerta";
$l_admin_log_user_admin_alert_not_get = "Disattivazione della ricezione degli avvisi d allerta";
$l_admin_log_one_user_two_pc = "A user simultaneously on two computers";
$l_admin_log_shoutbox_delete_message = "Deleting message from shoutbox";
$l_admin_log_server_status = "Server status updated";
$l_admin_log_bookmark_delete = "Deleting bookmark";
$l_admin_log_empty = "Actually no server logs";
$l_admin_log_options_update = "Options updated";
$l_admin_log_password_out_of_date = "Password expiration";
$l_admin_log_files_exchange_sended = "Share files: file echanged";
$l_admin_log_files_exchange_proposed = "Share files: file proposal for echange";
$l_admin_log_files_share_sended = "Share files: file sended";
$l_admin_log_files_share_proposed = "Share files: file proposed";
$l_admin_log_files_exchange_deleted = "Exchange files: file deleted";
$l_admin_log_files_exchange_trashed = "Exchange files: file into trash";
$l_admin_log_files_share_deleted = "Share files: file deleted";
$l_admin_log_files_share_trashed = "Share files: file into trash";
$l_admin_log_files_pendind_delete = "Share files: delete pendind file";
$l_admin_log_files_delete = "Share files: delete file";
$l_admin_log_files_alert = "Share files: file reported";

#admin check config
$l_admin_check_title = "Verifica della configurazione (dopo ogni aggiornamento)";
$l_admin_check_conf_file = "File di configurazione";
$l_admin_check_not_found = "assente !";
$l_admin_check_found = "presente";
$l_admin_check_on = "attivato";
$l_admin_check_off = "disattivato";
$l_admin_check_before_upgrade = "Prima di ogni aggiornamento";
$l_admin_check_read_last = "leggere ultima versione di";
$l_admin_check_last_options = "Verifica delle ultime opzioni aggiunte/cambiate";
$l_admin_check_new_options_are = "Tutte le nuove opzioni sono";
$l_admin_check_in_conf_file = "nel file di configurazione";
$l_admin_check_mysql = "Verifica della connessione al server MySQL";
$l_admin_check_connect_server = "Connessione al server";
$l_admin_check_failed = "fallito";
$l_admin_check_cannot_continue = "Impossibile continuare senza";
$l_admin_check_language_file = "il file di linguaggio";
$l_admin_check_connect_to_server = "la connessione al server";
$l_admin_check_connect_to_database  = "la connessione al database";
$l_admin_check_missing_option = "la opzione mancante";
$l_admin_check_all_tables = "tutte le tabelle nel database";
$l_admin_check_version = "Versione MySQL";
$l_admin_check_connect_database = "Connessione al database";
$l_admin_check_option_missing = "Opzione mancante nel file";
$l_admin_check_tables_list = "Verifica della lista delle tabelle";
$l_admin_check_table = "Tabella";
$l_admin_check_tables_ok = "Tutte le tabelle esistono";
$l_admin_check_use = "Usare";
$l_admin_check_in_admin = "in PHPMyAdmin (Admin MySQL)";
$l_admin_check_to_create_table = "per creare le tabelle";
$l_admin_check_tables_structure = "Verifica della struttura delle tabelle";
$l_admin_check_tables_structure_are = "La struttura di tutte le tabelle esistenti ";
$l_admin_check_col = "colonna";
$l_admin_check_for_structure = "per correggere la struttura della tabella";
$l_admin_check_update_now = "Correggere adesso";
$l_admin_check_conf_not_ok = "Configurazione NON corretta : si deve correggere !";
$l_admin_check_folders = "Verifica delle cartelle";
$l_admin_check_folder = "Cartella";
$l_admin_check_not_writeable = "in sola lettura o non scrivibile";
$l_admin_check_history = "Prego leggere la storia delle versioni nel file";
$l_admin_check_conf_ok = "Configurazione/aggiornamento corretto";
$l_admin_check_can_go = "Adesso si pu andare a";
$l_admin_check_admin_panel = "pannello interfaccia di amministrazione";
$l_admin_check_optimize_tables = "Ottimizzazione delle tabelle";
$l_admin_check_tables_are_optimized = "Tutte le tabelle sono ora ottimizzate";
$l_admin_check_system_info = "Sistema informativo";
$l_admin_check_incomplete = "incomplete";

#admin save database
$l_admin_save_title = "Salvataggio del database";
$l_admin_save_bt_now = "Salvare o fare backup adesso";
$l_admin_save_selet_to_restore = "Selezionare il backup da ripristinare";
$l_admin_save_bt_restore = "Ripristino";
$l_admin_save_list = "Lista dei salvataggi/backups";
$l_admin_save_not_in_maintenance = "Impossibile ripristinare : il modo manutenzione non  attivato.";
$l_admin_save_cannot_use = "Utilizzo impossibile";
$l_admin_save_do_not_use = "Do not use";

#admin ban control
$l_admin_ban_users = "Ban o sospensione di nomiutente";
$l_admin_ban_ip = "Ban o sospensione di indirizzi IP";
$l_admin_ban_pc = "Ban o sospensione di postazioni PC";
$l_admin_ban_add_user = "Aggiungere un nomeutente da bannare";
$l_admin_ban_add_ip = "Aggiungere un indirizzo IP da bannare";
$l_admin_ban_add_pc = "Aggiungere un codicePC da bannare ";
$l_admin_ban_dont_need_file = "Attenzione, il file zzz non  pi necessario, rimpiazzato qu, non dimenticare di cancellarlo."; // non cambiare "zzz" !!!
$l_admin_ban_import_delete = "Importare e cancellare il file";

#install
$l_install_check_files = "Verifica files";
$l_install_file = "File";
$l_install_bt_next = "Continuare";
$l_install_step = "Step/fase ";
$l_install_check_cannot_continue = "Impossibile continuare il install senza";
$l_install_not_in_maintenance_mode = "Your server is not in maintenance mode <SMALL>(<I>_MAINTENANCE_MODE</I> in configuration file)</SMALL>";
$l_install_warning = "Can be dangerous to apply upgrade <B>now</B>.";

#home
$l_home_not_configured = "La configurazione del server Instant Messenger non  ancora finita...";
$l_home_welcome = "Benvenuti nel server instant messenger";
$l_home_thanks_to_first = "Grazie di voler";
$l_home_here_register = "Clickare qu per iscriversi";
$l_home_register = "iscrivere";
$l_home_download_execute = "Scaricare ed eseguire";
$l_home_before_install = "<B>PRIMA</B> del install<BR/> per facilitare la configurazione ed evitare l' ultimo step";
$l_home_download_install = "Scaricare IntraMessenger (setup/install)";
$l_home_or = "oppure";
$l_home_download_zip = "Scaricare IntraMessenger (zip compresso)";
$l_home_on_startup_config_url = "Configurare il indirizzo seguente (<I>URL</I>) di Intramessenger allo startup";
$l_home_replace = "Replace";
$l_home_by_ip_address = " con il indirizzo serverIP ci si pu connettere <blink>da un ALTRO computer</blink>";

#admin display
$l_admin_display_title = "Display";
$l_admin_display_options = "Display opzioni";
$l_admin_display_menu = "Menu";
$l_menu_top = "Diplay il menu in alto";
$l_menu_left = "Diplay il menu a sinistra";
$l_menu_right = "Diplay il menu a destra";
$l_menu_full = "Diplay del menu completo";
$l_menu_not_full = "Display del menu che serve";
$l_admin_display_style = "Stile";
$l_admin_display_style_select = "Scegli lo stile";
$l_admin_display_background_color = "Colore di sfondo";
$l_admin_display_color_select = "Scegli lo color";
$l_color_blue = "Blu";
$l_color_green = "Verde";
$l_color_pink = "Rosa";
$l_color_red = "Rosso";
$l_color_yellow = "Giallo";

#ShoutBox
$l_admin_shoutbox_empty = "The shoutbox is currently empty";
$l_admin_shoutbox_cannot = "Access to shoutbox is currently not activated";
$l_admin_shoutbox_valid_messages = "Validate all pending messages";
$l_admin_shoutbox_average = "Rated";

#Servers status
$l_admin_servers_title = "Servers status";
$l_admin_servers_list = "Servers/services list";
$l_admin_servers_col_server = "Server";
$l_admin_servers_creat = "Add a new server";
$l_admin_servers_list_empty = "Actualy no server";
$l_admin_servers_status_0 = "Out of service";
$l_admin_servers_status_1 = "Not fully work";
$l_admin_servers_status_2 = "Available";
$l_admin_servers_cannot = "Cannot use : option _SERVERS_STATUS is not activated.";

#Bookmarks
$l_admin_bookmarks_title = "Bookmarks";
$l_admin_bookmarks_cannot = "Cannot use : option _BOOKMARKS is not activated.";
$l_admin_bookmarks_url_address = "Address";
$l_admin_bookmarks_url_title = "Title";
$l_admin_bookmarks_list_empty = "No bookmark";
$l_admin_bookmarks_creat = "Add new bookmark";
$l_admin_bookmarks_valid_all = "Validate all pending bookmarks";
$l_admin_bookmarks_category = "Category";
$l_admin_bookmarks_all_category = "All categories";

#Roles
$l_admin_role = "Role";
$l_admin_roles_title = "Roles";
$l_admin_roles_creat_role = "Create new role";
$l_admin_roles_title_add_to_role = "Assigning roles to members";
$l_admin_roles_cannot_use = "Cannot use option : _ROLES_TO_OVERRIDE_PERMISSIONS is not activated.";
$l_admin_roles_info = "The roles can assign permissions <u>more or less</u> compared to the options.";
$l_admin_roles_rename_role = "Rename role";
$l_admin_roles_list_empty = "Actually no role";
$l_admin_roles_add_to_role = "Add to role";
$l_admin_roles_default = "Default role (for users without role)";
$l_admin_roles_permissions = "Set permissions";
$l_admin_roles_permissions_of = "Permission selected for role:";
$l_admin_roles_permissions_add = "Add permission";
$l_admin_roles_permissions_empty = "No permission assigned for this role";
$l_admin_roles_need_active_option = "Some permissions defined above can not be taken into account.";
$l_admin_roles_unactivated_options = "Unactivated option(s)";
$l_admin_roles_permissions_only_role = "Note: To activate an option for only certain roles, it is necessary to disable it to other (or just to default role)... <br/>Default role permissions concern only this global options.";
$l_admin_roles_members = "Role members:";
$l_admin_role_no_member = "Actually no role member";
$l_admin_role_permission_on = "Permission activated";
$l_admin_role_permission_off = "Permission disabled";
$l_admin_role_dashboard = "Dashboard permissions";
$l_admin_role_useless_permission = "Useless permission (value identical to option)";
$l_admin_role_get_admin_alert = "Get administrator alert messages";
$l_admin_role_send_alert_to_admin = "Can send alert to administrators";
$l_admin_role_broadcast_alert_to_group = "Can send alert to all from (same) group(s)";
$l_admin_role_broadcast_alert = "Can send alert to everybody";

#Share files
$l_admin_share_files_title = "Shared files";
$l_admin_share_files_col_name = "File name";
$l_admin_share_files_col_size = "Size";
$l_admin_share_files_col_create = "Created";
$l_admin_share_files_col_add = "Added";
$l_admin_share_files_col_nb_download = "Number of downloads";
$l_admin_share_files_col_author = "Author";
$l_admin_share_files_col_recipient = "Recipient";
$l_admin_share_files_col_removal = "Removal";
$l_admin_share_files_col_projet = "Project";
$l_admin_share_files_col_hash = "File hash (MD5)";
$l_admin_share_files_cannot = "Access to share files is currently not activated";
$l_admin_share_files_empty = "Actually no file";
$l_admin_share_files_exchange = "Exchanged files";
$l_admin_share_files_trash = "Deleted sharing files trash";
$l_admin_share_files_trash_exchange = "Deleted exchanged files trash";
$l_admin_share_file_pending = "Sharing file(s) waiting Approval";
$l_admin_share_file_pending_exchange = "Exchanged file(s) waiting Approval";
$l_admin_share_file_valid_pending_files = "Validate all pending files";
$l_admin_share_file_clean_deleted = "Check and clear deleted files";
$l_admin_share_file_only_shared_files = "Without moderation or trash, only shared (published) files are displayed";
$l_admin_share_file_project_files_only = "This project files only";
$l_admin_share_file_project_list = "Projects list";
$l_admin_share_file_project_subfolder = "Subfolder";
$l_admin_share_file_project_col_end = "End";
$l_admin_share_file_project_col_closing = "Closing";
$l_admin_share_file_project_empty = "Actually no project...";
$l_admin_share_file_project_add_new = "Adding new project";
$l_admin_share_file_project_close_empty = "Users cannot add files to closed or empty projects name";
$l_admin_share_file_project_subfolder_must_exist = "Please check subfolders exist";
$l_admin_share_file_media = "Media";
$l_admin_share_file_compressed_file = "Compressed file";
$l_admin_share_file_protected_file = "Protected file";
$l_admin_share_file_cannot_display = "cannot display";

?>